# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename thunkify

Name:               nodejs-thunkify
Version:            2.1.2
Release:            1%{?dist}
Summary:            Turn callbacks, arrays, generators, and more into thunks

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/thunkify
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
Turn a regular node function into one which returns a thunk, useful for
generator-based flow control such as https://github.com/visionmedia/co

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/thunkify
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/thunkify

%nodejs_symlink_deps

%files
%doc Readme.md
%{nodejs_sitelib}/thunkify/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 2.1.2-1
- Initial packaging for Fedora.
